Skip to content

List Exports

GET
/api/v1/workspaces/{workspace_id}/exports
curl --request GET \
--url 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/exports?per=10&page=1' \
--header 'Authorization: Bearer <token>'

Retrieves the exports.

workspace_id
required
integer

Workspace ID

per
integer
default: 10

Number of records per page

page
integer
default: 1

Page number

Successful

Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
organization_id
required
integer
connector_id
required
integer
nullable
cdn_connector_id
required
integer
nullable
email_id
required
integer
email
required
object
id
integer
name
string
dynamic_content_profile_id
required
string
nullable
status
required
string
Allowed values: in_progress completed failed
export_type
required
string
Allowed values: json html connector
options
required
object
image_mode

How images should be handled in the export.

string
Allowed values: use_cdn include_in_zip use_cdn_connector use_export_connector
minify_html

Whether to minify rendered HTML before saving export output.

boolean
locales
required
Array<string>
Allowed values: ar-SA bn-BD bn-IN ca-ES cs-CZ da-DK de-AT de-CH de-DE el-GR en-AU en-CA en-GB en-IE en-IN en-NZ en-US en-ZA es-AR es-CL es-CO es-ES es-MX es-US fi-FI fr-BE fr-CA fr-CH fr-FR he-IL hi-IN hu-HU id-ID it-CH it-IT ja-JP ko-KR nl-BE nl-NL no-NO pl-PL pt-BR pt-PT ro-RO ru-RU sk-SK sv-SE ta-IN ta-LK th-TH tr-TR zh-CN zh-HK
folder_id

The ID of the folder to export to

string
campaign_id

The ID of the campaign to export to

string
export_field_values

Key-value pairs of connector-specific fields to include with the export.

object
key
additional properties
string
per_locale_options

Per-locale export options, keyed by locale code (e.g. “en-US”).

object
key
additional properties
object
resource_name

The name for the exported resource in the connector.

string
update_previous_export

Whether to update a previously exported resource instead of creating a new one.

boolean
integration_name
required
string
nullable
metadata
required
object
conditional_ids
Array<integer>
personalization_tag_ids
Array<integer>
image_ids
Array<integer>
export_errors
required
object
base
Array<string>
nullable
additionalProperties
object
key
additional properties
Array<string>
created_at
required
string format: date-time
updated_at
required
string format: date-time
download_zip_url
string
nullable
download_json_url
required
string
nullable
open_in_integration_url
required
string
nullable
pagination
required
object
per
required
integer
page
required
integer
total
required
integer
Example
{
"results": [
{
"id": 12345,
"organization_id": 12345,
"connector_id": 12345,
"cdn_connector_id": 12345,
"email_id": 12345,
"email": {
"id": 12345
},
"dynamic_content_profile_id": "a8c5c5c0-5b1a-4b5a-9b0a-5e8b5c5c5c5c",
"status": "in_progress",
"export_type": "json",
"options": {
"image_mode": "use_cdn",
"locales": [
"ar-SA"
]
},
"integration_name": "Brevo",
"metadata": {
"conditional_ids": [
12345
],
"personalization_tag_ids": [
12345
],
"image_ids": [
12345
]
},
"export_errors": {
"base": [
"My Error"
],
"additionalProperties": {
"additionalProperty": [
"My Error"
]
}
},
"created_at": "2023-08-23T10:30:00.000Z",
"updated_at": "2023-08-23T10:30:00.000Z",
"download_zip_url": "https://www.example.com/download.zip",
"download_json_url": "https://www.example.com/download.json",
"open_in_integration_url": "https://www.example.com/integrations/mailchimp/export/12345"
}
],
"pagination": {
"per": 10,
"page": 1,
"total": 100
}
}